cURL
curl --request POST \
--url https://api.scribesocial.ai/v1/transcribe-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post_urls": [
"<string>"
],
"callback_url": "<string>",
"proxy_url": "<string>",
"max_mb_download_on_proxy": 123
}
'import requests
url = "https://api.scribesocial.ai/v1/transcribe-batch"
payload = {
"post_urls": ["<string>"],
"callback_url": "<string>",
"proxy_url": "<string>",
"max_mb_download_on_proxy": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
post_urls: ['<string>'],
callback_url: '<string>',
proxy_url: '<string>',
max_mb_download_on_proxy: 123
})
};
fetch('https://api.scribesocial.ai/v1/transcribe-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"video_url": "<string>",
"description": "<string>",
"transcription": "<string>",
"paragraphs": [
{
"sentences": [
{
"text": "<string>",
"start": 123,
"end": 123
}
],
"num_words": 123,
"start": 123,
"end": 123
}
],
"video_id": "<string>",
"transcribed_duration": 123,
"total_duration": 123,
"error": null,
"platform": "<string>",
"title": "<string>"
}
],
"operation_id": "<string>",
"markdown": "<string>"
}Endpoints
Batch Transcribe Videos
POST
/
transcribe-batch
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I